Index: BOL/script_install_amaury/arch_local/arch-X64_ADASTRA-GNU.path
===================================================================
--- BOL/script_install_amaury/arch_local/arch-X64_ADASTRA-GNU.path	(revision 4980)
+++ BOL/script_install_amaury/arch_local/arch-X64_ADASTRA-GNU.path	(revision 4985)
@@ -1,3 +1,3 @@
-NETCDF_INCDIR="-I$(nf-config --includedir)"
+NETCDF_INCDIR="-I$(nf-config --includedir) -I$(nc-config --includedir)"
 # Ugly hack for orchidee <=2.0
 NETCDF_LIBDIR="-L${NETCDF_DIR}/lib" # for some reason on adastra `nf-config --flibs` is empty
Index: BOL/script_install_amaury/arch_local/arch-local-gfortran.path
===================================================================
--- BOL/script_install_amaury/arch_local/arch-local-gfortran.path	(revision 4980)
+++ BOL/script_install_amaury/arch_local/arch-local-gfortran.path	(revision 4985)
@@ -1,3 +1,3 @@
-NETCDF_INCDIR="-I$(nf-config --includedir)"
+NETCDF_INCDIR="-I$(nf-config --includedir) -I$(nc-config --includedir)"  # nc required for xios
 # Ugly hack for orchidee <=2.0
 NETCDF_LIBDIR="-L$(nf-config --flibs | sed -e "s/-L//")"
Index: BOL/script_install_amaury/install_lmdz.sh
===================================================================
--- BOL/script_install_amaury/install_lmdz.sh	(revision 4980)
+++ BOL/script_install_amaury/install_lmdz.sh	(revision 4985)
@@ -345,5 +345,5 @@
         sed -i"" -e "s/ts.second=dt_routing/ts%second=dt_routing/" -e "380,390 s/USE grid/USE grid, temp_disabled => contfrac/" ORCHIDEE/src_sechiba/routing_native_flow.f90
 
-        cd ../../script_install
+        echo "STOP: INITIALIZED, PLEASE RELAUNCH ONCE"; exit 1
     fi
 
@@ -465,7 +465,5 @@
 EOF
 
-    if $ncdf_compiler -I"$ncdfdir"/include test_netcdf90.f90 -L"$ncdfdir"/lib -lnetcdff \
-              -lnetcdf -Wl,-rpath="$ncdfdir"/lib && ./a.out
-    then
+    if $ncdf_compiler -I"$ncdfdir"/include test_netcdf90.f90 -L"$ncdfdir"/lib -lnetcdff -lnetcdf -Wl,-rpath="$ncdfdir"/lib && ./a.out; then
         \rm test_netcdf90.f90 a.out
     else
@@ -474,5 +472,5 @@
 - check that you have NetCDF-Fortran installed in your system
 - or specify an installation directory with option -netcdf of install_lmdz.sh
-- or download and compile NetCDF-Fortran with option -netcdf 1 of nstall_lmdz.sh
+- or download and compile NetCDF-Fortran with option -netcdf 1 of install_lmdz.sh
 EOF
         exit 1
@@ -804,4 +802,7 @@
             else
                 echo "Error: No command found to run parallel bench"; exit 1
+            fi
+            if [[ $(hostname | cut -c -6) = "spirit" ]]; then  # ulimit unlimited segfaults on Spirit
+                sed -i'' "s/ulimit -s unlimited/ulimit -Ss 8000/" bench.sh
             fi
             # Add rebuild, using reb.sh if it is there
